<?php
// Content Management System module for PHProjekt (CMS4P).
// Copyright 2002-2005 by Mario A. Valdez-Ramirez
// http://www.mariovaldez.net/

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, 
// Boston, MA 02111-1307, USA.

// You can contact Mario A. Valdez-Ramirez by email 
// at mario@mariovaldez.org or paper mail at 
// Olmos 809, San Nicolas, NL. 66495, Mexico.

//session_start();
$path_pre="../";
include_once ($path_pre . "cm/cm_anon.inc.php");
$include_path = $path_pre . "lib/lib.inc.php";
include_once $include_path;
include_once ($path_pre . "cm/cm_lib.inc.php");
fcm_load_secdb ($cm_security);
echo $cm_html_header;



function fcm_display_uploader ($cm_upload_enabled) {
  global $cm_text, $cm_limitsize, $cm_path;
  echo "<TABLE ALIGN=\"center\" BORDER=\"0\" cellspacing=\"0\" cellpadding=\"5\"><TR><TD class=\"fileman1body\">";
  if ($cm_upload_enabled) {
    echo "<span class=\"inputname\">{$cm_text["uploadlimit"]} " . round ($cm_limitsize/1024) . " k</span>";
    echo "<form class=\"cms\" action=\"fileman.php\" method=\"post\" enctype=\"multipart/form-data\">";
    echo "<input type=\"hidden\" name=\"cm_path\" value=\"$cm_path\">";
    echo "<input type=\"hidden\" name=\"MAX_FILE_SIZE\" value=\"$cm_limitsize\">";
    echo "<input type=\"file\" name=\"cm_userfile\">";
    echo "<input class=\"cms\" type=\"submit\" name=\"cm_upload\" value=\"{$cm_text["uploadfile"]}\">";
    echo "</form><br>";
  }
  else {
    echo "<span class=\"inputname\">{$cm_text["disabledupload"]}</span><br>";
  }
  echo "</TD></TR></TABLE>";
}


// fcm_gzip_file 
// Compress a file with the gzip algorithm.  
function fcm_gzip_file ($cm_gzsource, $cm_gztarget) {
  if (function_exists ("gzwrite")) {
    $cm_ungzfp = @fopen($cm_gzsource, "rb");
    $cm_gzfp = @gzopen($cm_gztarget, "wb9");
    if ($cm_gzfp && $cm_ungzfp) {
      while (!feof ($cm_ungzfp)) {
        if (!$cm_safemode) {
          set_time_limit (60);
        }
        gzwrite ($cm_gzfp, fread ($cm_ungzfp, 65535));
      }
      @fclose ($cm_ungzfp);
      @gzclose ($cm_gzfp);
      return (true);
    }
    else {
      @fclose ($cm_ungzfp);
      @gzclose ($cm_gzfp);
      return (false);
    }
  }
  else {
    return (false);
  }
}


// fcm_gunzip_file 
// Decompress a gziped file.  
function fcm_gunzip_file ($cm_gzsource, $cm_gztarget) {
  if (function_exists ("gzwrite")) {
    $cm_gzfp = @gzopen($cm_gzsource, "rb");
    $cm_ungzfp = @fopen($cm_gztarget, "wb");
    if ($cm_gzfp && $cm_ungzfp) {
      while (!gzeof ($cm_gzfp)) {
        if (!$cm_safemode) {
          set_time_limit (60);
        }
        fwrite ($cm_ungzfp, gzread ($cm_gzfp, 65535));
      }
      @fclose ($cm_ungzfp);
      @gzclose ($cm_gzfp);
      return (true);
    }
    else {
      @fclose ($cm_ungzfp);
      @gzclose ($cm_gzfp);
      return (false);
    }
  }
  else {
    return (false);
  }
}



$cm_sorteddir = array();
if ($cm_path) {
  $result1 = db_query("select cmdb_title, cmdb_directory, cmdb_content, cmdb_type from " . CM_DB_PREFIX . "content3 where cmdb_directory like '$cm_path' and cmdb_type like '%" . CM_HITTYPE_PAGE . "%'") or db_die();
  $row1 = db_fetch_row($result1);
  if (($cm_path <> "/") && ($row1[1] <> "")) {
    if (fcm_check_constraints (CM_SEC_CHANGE, $user_kurz, $cm_path)) {
      $cm_validops = fcm_check_validops ($user_kurz, $cm_path);
      fcm_title_nav2 ($cm_path, $cm_validops[CM_SEC_CREATE], $cm_validops[CM_SEC_DELETE], $cm_validops[CM_SEC_CHANGE], $cm_validops[CM_SEC_DISPLA], ($cm_validops[CM_SEC_COMMEN] && fcm_can_becommented ($cm_path)), $cm_validops[CM_SEC_DISPLA], fcm_user_is_superuser($user_kurz), ($cm_validops[CM_SEC_COMMEN] && fcm_can_berated ($cm_path)));

      if ($cm_remoteroot) {
        $cm_indexpath = $cm_mainroot . $cm_path . "/";
      }
      else {
        $cm_indexpath = str_replace (basename (__FILE__), "", __FILE__) . $cm_mainroot . $cm_path . "/";
      }
      $cm_canupload = get_cfg_var ("file_uploads"); 
      $cm_maxfilesize = substr (get_cfg_var ("upload_max_filesize"), 0, -1) * 1024 * 1024;
      $cm_maxpostsize = substr (get_cfg_var ("post_max_size"), 0, -1) * 1024 * 1024;
      if ($cm_maxpostsize < $cm_maxfilesize) {
        $cm_limitsize = $cm_maxpostsize;
      }
      else {
        $cm_limitsize = $cm_maxfilesize;
      }

      // Delete file...
      if ($cm_f2d) {
        if (unlink ($cm_indexpath . $cm_f2d)) {
          fcm_message ($cm_text["deletedfile"] . " ($cm_f2d)", CM_MSGSTYLE_INFORMATION);
          fcm_delete_hitrecord ($cm_path . "/" . $cm_f2d, CM_HITTYPE_FILE);
          fcm_add_logentry ("", $user_kurz, CM_APPLOG_FILE, "Deleted file $cm_f2d.");
        }
        else {
          fcm_message ($cm_text["errordelfile"] . " ($cm_f2d)", CM_MSGSTYLE_ERROR);
          fcm_add_logentry ("", $user_kurz, CM_APPLOG_FILE, "Error when deleting file $cm_f2d.");
        }
        fcm_display_uploader ($cm_canupload);
      }
      // Gzip file...
      elseif ($cm_f2gz) {
        @unlink ($cm_indexpath . $cm_f2d . ".gz");
        if (fcm_gzip_file ($cm_indexpath . $cm_f2gz, $cm_indexpath . $cm_f2gz . ".gz")) {
          fcm_message ($cm_text["gzipedfile"] . " ($cm_f2gz)", CM_MSGSTYLE_INFORMATION);
          fcm_rename_hitrecord ($cm_path . "/" . $cm_f2gz, $cm_path . "/" . $cm_f2gz . ".gz", CM_HITTYPE_FILE);
          fcm_add_logentry ("", $user_kurz, CM_APPLOG_FILE, "Gziped file $cm_f2gz");
        }
        else {
          fcm_message ($cm_text["errorgzfile"] . " ($cm_f2gz)", CM_MSGSTYLE_ERROR);
          fcm_add_logentry ("", $user_kurz, CM_APPLOG_FILE, "Error when gziping file $cm_f2gz.");
        }
        fcm_display_uploader ($cm_canupload);
      }
      // Ungzip file...
      elseif ($cm_f2guz) {
        $cm_f2guzd = substr ($cm_f2guz, 0, strrpos ($cm_f2guz, "."));
        $cm_fileext = (string) substr (strrchr (strtolower ($cm_f2guzd), "."), 1);
        if (!array_key_exists ($cm_fileext, $cm_disabled_type)) {
          @unlink ($cm_indexpath . $cm_f2guzd);
          if (fcm_gunzip_file ($cm_indexpath . $cm_f2guz, $cm_indexpath . $cm_f2guzd)) {
            fcm_message ($cm_text["gunzipedfile"] . " ($cm_f2guz)", CM_MSGSTYLE_INFORMATION);
            fcm_rename_hitrecord ($cm_path . "/" . $cm_f2guz, $cm_path . "/" . $cm_f2guzd, CM_HITTYPE_FILE);
            fcm_add_logentry ("", $user_kurz, CM_APPLOG_FILE, "Gunziped file $cm_f2guz");
          }
          else {
            fcm_message ($cm_text["errorguzfile"] . " ($cm_f2guz)", CM_MSGSTYLE_ERROR);
            fcm_add_logentry ("", $user_kurz, CM_APPLOG_FILE, "Error when gunziping file $cm_f2guz.");
          }
        }
        else {
          fcm_message ($cm_text["filetypedisabled"] . " ($cm_f2guzd)", CM_MSGSTYLE_ERROR);
          fcm_add_logentry ("", $user_kurz, CM_APPLOG_FILE, "Error when gunziping file $cm_f2guz. File type disabled.");
        }
        fcm_display_uploader ($cm_canupload);
      }
      // Rename file... ask new name...
      elseif ($cm_f2rn) {
        echo "<TABLE ALIGN=\"center\" BORDER=\"0\" cellspacing=\"0\" cellpadding=\"5\"><TR><TD class=\"fileman1body\">";
        echo "<span class=\"inputname\">{$cm_text["renamingfile"]} $cm_f2rn</span>";
        echo "<form class=\"cms\" action=\"fileman.php\" method=\"post\">";
        echo "<input type=\"hidden\" name=\"cm_path\" value=\"$cm_path\">";
        echo "<input type=\"hidden\" name=\"cm_oldname\" value=\"$cm_f2rn\">";
        echo "<input class=\"cms\" type=\"text\" name=\"cm_newname\" value=\"$cm_f2rn\">";
        echo "<input class=\"cms\" type=\"submit\" name=\"cm_f2rnc\" value=\"{$cm_text["renamefileb"]}\">";
        echo "<input class=\"cms\" type=\"submit\" name=\"cm_cancel\" value=\"{$cm_text["cancelrename"]}\">";
        echo "</form><br>";
        echo "</TD></TR></TABLE>";
      }
      // Confirmed renaming of file... 
      elseif ($cm_f2rnc) {
        if (($cm_newname) && ($cm_oldname != $cm_newname)) {
          $cm_fileext = (string) substr (strrchr (strtolower ($cm_newname), "."), 1);
          if (!array_key_exists ($cm_fileext, $cm_disabled_type)) {
            @unlink ($cm_indexpath . $cm_newname);
            if (rename ($cm_indexpath . $cm_oldname, $cm_indexpath . $cm_newname)) {
              fcm_message ($cm_text["renamedfile"] . " ($cm_oldname ... $cm_newname)", CM_MSGSTYLE_INFORMATION);
              fcm_rename_hitrecord ($cm_path . "/" . $cm_oldname, $cm_path . "/" . $cm_newname, CM_HITTYPE_FILE);
              fcm_add_logentry ("", $user_kurz, CM_APPLOG_FILE, "Renamed file $cm_oldname to $cm_newname.");
            }
            else {
              fcm_message ($cm_text["errorrenfile"] . " ($cm_oldname ... $cm_newname)", CM_MSGSTYLE_ERROR);
              fcm_add_logentry ("", $user_kurz, CM_APPLOG_FILE, "Error when renaming file $cm_oldname to $cm_newname.");
            }
          }
          else {
            fcm_message ($cm_text["filetypedisabled"] . " ($cm_newname)", CM_MSGSTYLE_ERROR);
            fcm_add_logentry ("", $user_kurz, CM_APPLOG_FILE, "Error when renaming file $cm_oldname to $cm_newname. File type disabled.");
          }
        }
        else {
          fcm_message ($cm_text["errorrenfile"] . " ($cm_oldname ... $cm_newname)", CM_MSGSTYLE_ERROR);
          fcm_add_logentry ("", $user_kurz, CM_APPLOG_FILE, "Error when renaming file $cm_oldname to $cm_newname.");
        }
        fcm_display_uploader ($cm_canupload);
      }
      // Resize image... ask new size...
      elseif ($cm_f2tn) {
        echo "<TABLE ALIGN=\"center\" BORDER=\"0\" cellspacing=\"0\" cellpadding=\"5\"><TR><TD class=\"fileman1body\">";
        echo "<span class=\"inputname\">{$cm_text["thumbingfile"]} $cm_f2tn</span>";
        echo "<form class=\"cms\" action=\"fileman.php\" method=\"post\">";
        echo "<input type=\"hidden\" name=\"cm_path\" value=\"$cm_path\">";
        echo "<input type=\"hidden\" name=\"cm_oldname\" value=\"$cm_f2tn\">";
        echo "<span class=\"inputname\">{$cm_text["thumbnewname"]}</span>&nbsp;";
        echo "<input class=\"cms\" type=\"text\" name=\"cm_newname\" value=\"" . $cm_jpegprefix_file . $cm_f2tn . "\"><br>";
        echo "<span class=\"inputname\">{$cm_text["thumbsize"]}</span>&nbsp;";
        echo "<input class=\"cms\" type=\"text\" name=\"cm_newX\" value=\"$cm_doclogo_width\" size=\"4\" maxlength=\"4\">";
        echo "<span class=\"inputname\">x</span>";
        echo "<input class=\"cms\" type=\"text\" name=\"cm_newY\" value=\"$cm_doclogo_height\" size=\"4\" maxlength=\"4\"><br>";
        echo "<input class=\"cms\" type=\"submit\" name=\"cm_f2tnc\" value=\"{$cm_text["thumbfileb"]}\">";
        echo "<input class=\"cms\" type=\"submit\" name=\"cm_cancel\" value=\"{$cm_text["cancelthumb"]}\">";
        echo "</form><br>";
        echo "</TD></TR></TABLE>";
      }
      // Confirmed resizing the image... 
      elseif ($cm_f2tnc) {
        if (($cm_newname) && ($cm_oldname != $cm_newname) && (abs ($cm_newX) > 1) && (abs ($cm_newY) > 1)) {
          @unlink ($cm_indexpath . $cm_newname);
          fcm_create_thumbnail ($cm_indexpath, $cm_oldname, $cm_newname, abs ($cm_newX), abs ($cm_newY));
          fcm_add_logentry ("", $user_kurz, CM_APPLOG_FILE, "Tried to resize image $cm_oldname to $cm_newname.");
        }
        else {
          fcm_message ($cm_text["thumberror"] . " ($cm_oldname ... $cm_newname)", CM_MSGSTYLE_ERROR);
          fcm_add_logentry ("", $user_kurz, CM_APPLOG_FILE, "Error when resizing image file $cm_oldname to $cm_newname.");
        }
        fcm_display_uploader ($cm_canupload);
      }
      // Create copy... ask new name...
      elseif ($cm_f2cc) {
        echo "<TABLE ALIGN=\"center\" BORDER=\"0\" cellspacing=\"0\" cellpadding=\"5\"><TR><TD class=\"fileman1body\">";
        echo "<span class=\"inputname\">{$cm_text["copyingfile"]} $cm_f2cc</span>";
        echo "<form class=\"cms\" action=\"fileman.php\" method=\"post\">";
        echo "<input type=\"hidden\" name=\"cm_path\" value=\"$cm_path\">";
        echo "<input type=\"hidden\" name=\"cm_oldname\" value=\"$cm_f2cc\">";
        echo "<input class=\"cms\" type=\"text\" name=\"cm_newname\" value=\"{$cm_text["copypreffix"]}$cm_f2cc\">";
        echo "<input class=\"cms\" type=\"submit\" name=\"cm_f2ccc\" value=\"{$cm_text["copyfileb"]}\">";
        echo "<input class=\"cms\" type=\"submit\" name=\"cm_cancel\" value=\"{$cm_text["cancelcopy"]}\">";
        echo "</form><br>";
        echo "</TD></TR></TABLE>";
      }
      // Confirmed creating copy of file... 
      elseif ($cm_f2ccc) {
        if (($cm_newname) && ($cm_oldname != $cm_newname)) {
          $cm_fileext = (string) substr (strrchr (strtolower ($cm_newname), "."), 1);
          if (!array_key_exists ($cm_fileext, $cm_disabled_type)) {
            @unlink ($cm_indexpath . $cm_newname);
            if (copy ($cm_indexpath . $cm_oldname, $cm_indexpath . $cm_newname)) {
              fcm_message ($cm_text["copiedfile"] . " ($cm_oldname ... $cm_newname)", CM_MSGSTYLE_INFORMATION);
              fcm_add_logentry ("", $user_kurz, CM_APPLOG_FILE, "Duplicated file $cm_oldname to $cm_newname.");
            }
            else {
              fcm_message ($cm_text["errorcpfile"] . " ($cm_oldname ... $cm_newname)", CM_MSGSTYLE_ERROR);
              fcm_add_logentry ("", $user_kurz, CM_APPLOG_FILE, "Error when duplicating file $cm_oldname to $cm_newname.");
            }
          }
          else {
            fcm_message ($cm_text["filetypedisabled"] . " ($cm_newname)", CM_MSGSTYLE_ERROR);
            fcm_add_logentry ("", $user_kurz, CM_APPLOG_FILE, "Error when duplicating file $cm_oldname to $cm_newname. File type disabled.");
          }
        }
        else {
          fcm_message ($cm_text["errorcpfile"] . " ($cm_oldname ... $cm_newname)", CM_MSGSTYLE_ERROR);
          fcm_add_logentry ("", $user_kurz, CM_APPLOG_FILE, "Error when duplicating file $cm_oldname to $cm_newname.");
        }
        fcm_display_uploader ($cm_canupload);
      }
      // Uploading file...
      elseif ($cm_upload) {
        if ($_FILES["cm_userfile"]["name"] && $_FILES["cm_userfile"]["size"]) {
          if ((is_uploaded_file ($_FILES["cm_userfile"]["tmp_name"])) && (move_uploaded_file ($_FILES["cm_userfile"]["tmp_name"], $cm_indexpath . $_FILES["cm_userfile"]["name"]))) {
            fcm_message ($cm_text["uploadedfile"] . " (" . $_FILES["cm_userfile"]["name"] . ")", CM_MSGSTYLE_INFORMATION);
            fcm_add_logentry ("", $user_kurz, CM_APPLOG_FILE, "Uploaded file " . $_FILES["cm_userfile"]["name"]);
            $cm_fileext = (string) substr (strrchr (strtolower ($_FILES["cm_userfile"]["name"]), "."), 1);
            if (array_key_exists ($cm_fileext, $cm_disabled_type)) {
              @unlink ($cm_indexpath . $_FILES["cm_userfile"]["name"]);
              fcm_message ($cm_text["filetypedisabled"] . " " . $cm_text["deletedfile"] . " (". $_FILES["cm_userfile"]["name"] . ")", CM_MSGSTYLE_ERROR);
              fcm_add_logentry ("", $user_kurz, CM_APPLOG_FILE, "Error when uploading file " . $_FILES["cm_userfile"]["name"] . ". File type disabled.");
            }
          }
          else {
            fcm_message ($cm_text["errorupfile"] . " (" . $_FILES["cm_userfile"]["name"] . ")", CM_MSGSTYLE_ERROR);
            fcm_add_logentry ("", $user_kurz, CM_APPLOG_FILE, "Error when uploading file " . $_FILES["cm_userfile"]["name"]);
          }
        }
        fcm_display_uploader ($cm_canupload);
      }
      else {
        fcm_display_uploader ($cm_canupload);
      }


      echo "<TABLE ALIGN=\"center\" BORDER=\"0\" cellspacing=\"0\" cellpadding=\"3\">";
    	$cm_dirhandle = opendir($cm_indexpath);
      while (($file = readdir($cm_dirhandle)) !== false)
        $cm_sorteddir[count($cm_sorteddir)] = $file;
    	closedir($cm_dirhandle); 
      natcasesort($cm_sorteddir); 
      $cm_curcolor = "filelistcolor1";
    	foreach ($cm_sorteddir as $file) {
        if (($file != ".") && ($file != "..")) {
          if (!is_dir ($cm_indexpath . $file)) {
            $cm_fileext = (string) substr (strrchr (strtolower ($file), "."), 1);
            if (isset ($cm_file_iconname[$cm_icon_set][$cm_fileext])) {
              $cm_fileicon = $cm_file_iconname[$cm_icon_set][$cm_fileext];
            }
            else {
              $cm_fileicon = $cm_file_iconname[$cm_icon_set]["default"];
            }
            echo "<TR class=\"$cm_curcolor\">";
            echo "<TD class=\"fileman1list\"><img src=\"$cm_imgpath/$cm_fileicon\" alt=\"\" width=\"$cm_filelist_iconwidth\" height=\"$cm_filelist_iconheight\" border=\"0\" class=\"pngimg\"></TD>";
            //echo "<TD class=\"fileman1list\">" . $file . "</TD>";
            echo "<TD class=\"fileman1list\"><A class=\"cms\" HREF=\"getfile.php?cm_s=0&cm_path=$cm_path&cm_file=" . fcm_urlencode ($file) . "\">" . $file . "</a></TD>";
            echo "<TD class=\"fileman1list\" align=\"right\">" . ceil (filesize ($cm_indexpath . $file) / 1024) . " k</TD>";
            echo "<TD class=\"fileman1list\" align=\"center\">" . date ("Y-m-d H:i:s", filemtime ($cm_indexpath . $file)) . "</TD>";
            echo "<TD class=\"fileman1list\" align=\"center\"><a class=\"cms\" href=\"fileman.php?cm_path=$cm_path&cm_f2d=" . urlencode ($file) . "\">{$cm_text["deletefile"]}</a></TD>";
            echo "<TD class=\"fileman1list\" align=\"center\"><a class=\"cms\" href=\"fileman.php?cm_path=$cm_path&cm_f2rn=" . urlencode ($file) . "\">{$cm_text["renamefile"]}</a></TD>";
            echo "<TD class=\"fileman1list\" align=\"center\"><a class=\"cms\" href=\"fileman.php?cm_path=$cm_path&cm_f2cc=" . urlencode ($file) . "\">{$cm_text["copyfile"]}</a></TD>";
            if (function_exists ("gzwrite")) {
              if ($cm_fileext == "gz") {
                echo "<TD class=\"fileman1list\" align=\"center\"><a class=\"cms\" href=\"fileman.php?cm_path=$cm_path&cm_f2guz=" . urlencode ($file) . "\">{$cm_text["gunzipfile"]}</a></TD>";
              }
              else {
                echo "<TD class=\"fileman1list\" align=\"center\"><a class=\"cms\" href=\"fileman.php?cm_path=$cm_path&cm_f2gz=" . urlencode ($file) . "\">{$cm_text["gzipfile"]}</a></TD>";
              }
            }
            if ($cm_enable_gd) {
              if (($cm_fileext == "jpg") || ($cm_fileext == "jpeg")) {
                echo "<TD class=\"fileman1list\" align=\"center\"><a class=\"cms\" href=\"fileman.php?cm_path=$cm_path&cm_f2tn=" . urlencode ($file) . "\">{$cm_text["thumbnailfile"]}</a></TD>";
              }
              else {
                echo "<TD class=\"fileman1list\" align=\"center\"></TD>";
              }
            }
            echo "</TR>";
            $cm_curcolor = fcm_swap_rowcolor ($cm_curcolor, "filelistcolor1", "filelistcolor2");
          }
          elseif ($cm_dirs_inlisting) {
            $cm_fileicon = $cm_file_iconname[$cm_icon_set]["directory"];
            echo "<TR class=\"$cm_curcolor\">";
            echo "<TD class=\"fileman1list\"><img src=\"$cm_imgpath/$cm_fileicon\" alt=\"\" width=\"$cm_filelist_iconwidth\" height=\"$cm_filelist_iconheight\" border=\"0\" class=\"pngimg\"></TD>";
            echo "<TD class=\"fileman1list\">" . $file . "</TD>";
            echo "<TD class=\"fileman1list\">&nbsp;</TD><TD>&nbsp;</TD><TD>&nbsp;</TD>";
            echo "</TR>";
            $cm_curcolor = fcm_swap_rowcolor ($cm_curcolor, "filelistcolor1", "filelistcolor2");
          }
        }
    	}
      echo "</TABLE>";


    }
    else {
      fcm_title_nav2 ("", false, false, false, false, false, false, false);
      fcm_message ($cm_text["needaccess2edit"], CM_MSGSTYLE_WARNING);
      fcm_add_logentry ("", $user_kurz, CM_APPLOG_ERROR, "Error when loading file manager. Not enough permissions.");
    }
  }
  else {
    fcm_title_nav2 ("", false, false, false, false, false, false, false);
    fcm_message ($cm_text["invaliddir"], CM_MSGSTYLE_ERROR);
    fcm_add_logentry ("", $user_kurz, CM_APPLOG_ERROR, "Error when loading file manager. Invalid directory.");
  }
}
else {
  fcm_title_nav2 ("", false, false, false, false, false, false, false);
  fcm_message ($cm_text["invaliddir"], CM_MSGSTYLE_ERROR);
  fcm_add_logentry ("", $user_kurz, CM_APPLOG_ERROR, "Error when loading file manager. Invalid directory.");
}






echo $cm_html_footer;

?>
